#!/usr/local/bin/tclsh

set server_ip [lindex $argv 0]
if {$server_ip == ""} {
	set server_ip 192.168.0.1
}

##################################################################
set page {Content-type: text/html

<html>
<head>
<title>CGI Slideshow</title>
</head>
<body>
<h1>CGI Slideshow</h1>
<p>Aguarde a abertura de p&aacute;gina com os slides...</p>
}

puts [subst $page]

set sock [socket $server_ip 15555]
fconfigure $sock -buffering line 
set started 0

while {1} {
	if {[eof $sock]} {
		exit
	}
	gets $sock cmd 
	if {"$cmd" == ""} {
		continue
	}
	if {!$started} {
		puts "<script language=\"javascript\">"
		puts "var w;\nvar d;"
		puts "w = window.open(\"\",\"slide\",\"scrollbars\");"
		puts "w.resizeTo(\"800\",\"600\");"
		puts "</script>"
		set started 1
	}
	puts "<script language=\"javascript\">"
	puts "d = w.document;"
	if {("$cmd" == "text") || ("$cmd" == "noclear")} {
		gets $sock ln
		while {"$ln" != "<EOF>"} {
			puts "d.writeln(\'$ln\');"
			gets $sock ln
		}
	} else {
		puts "d.writeln(\'$cmd\');"
	}
	if {"$cmd" != "noclear"} {
		puts "d.close();"
	}
	puts "</script>"
}


